from typing import Protocol, Self, TypeVar, Literal

FIELD = TypeVar("F", bound=str)  # TypeVar for field literals

Formats = Literal["json", "xml"]


class ODataQueryable(Protocol[FIELD]):
    def expand(self, *fields: FIELD) -> Self: ...

    def filter(self, criteria: str) -> Self: ...

    def format(self, format_type: Formats) -> Self: ...

    def orderby(self, *fields: FIELD) -> Self: ...

    def skip(self, count: int) -> Self: ...

    def top(self, count: int) -> Self: ...

    def select(self, *fields: FIELD) -> Self: ...
